MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022544Community[OCCT] OCCT:Foundation Classespublic2011-05-27 20:102012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022544: Fixed IsEqual from Standard
DescriptionRLN contribution (standard_correction):
  Standard_CString.hxx: fixed IsEqual() definition =>(!strcmp(One, Two); )
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017526)
kgv (developer)
2011-06-21 15:24

Global functions IsEqual for Standard_CString and Standard_ExtString are
confusing. This is suggested to remove them at all and allow user to define
own if needed (these functions not used in OCCT).

Changes integrated to http://svn/svn/occt/branches/OCC22544_RLNStdCorrection [^]
branch. Patch is ready to test.
(0017527)
ycy (tester)
2011-07-04 17:13
edited on: 2011-11-25 11:42

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22544_RLNStdCorrection [^]) was
testing, regressions were not found, test results were compared with
KAS:dev:products-651-opt

See results in /KASDev/OCCTtests/KAS/dev/ycy-products-2_29062011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017528)
bugmaster (administrator)
2011-07-14 13:46

Fix has been integrated to occt repository

Date: 2011-07-06 12:33:05 +0400 (Wed, 06 Jul 2011)
New Revision: 8645

Modified:
   trunk/src/Standard/Standard_CString.hxx
   trunk/src/Standard/Standard_ExtString.hxx

- Related Changesets
occt: master 73653dc8
Timestamp: 2011-07-06 08:33:05
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
OCC22544 Fixed IsEqual from Standard
mod - src/Standard/Standard_CString.hxx Diff ] File ]
mod - src/Standard/Standard_ExtString.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 17:18 kgv CC => kgv
2011-07-14 13:45 bugmaster Status closed => assigned
2011-07-14 13:45 bugmaster Resolution suspended => @0@
2011-07-14 13:45 bugmaster Assigned To bugmaster => kgv
2011-07-14 13:45 bugmaster Status assigned => resolved
2011-07-14 13:45 bugmaster Status resolved => tested
2011-07-14 13:46 bugmaster Status tested => verified
2011-07-29 09:58 bugmaster Fixed in Version EMPTY =>
2011-07-29 09:58 bugmaster Target Version => 6.5.2
2011-07-29 09:58 bugmaster Description Updated View Revisions
2011-07-29 10:07 bugmaster Fixed in Version => 6.5.2
2011-07-29 10:18 admin Fixed in Version 6.5.2 =>
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2011-09-07 17:26 mkv Test case number => Test case is not required
2011-11-25 11:41 szy Description Updated View Revisions
2011-11-25 11:42 szy Note Edited: 0017527 View Revisions
2011-12-05 11:23 abv Relationship added child of 0022825
2012-01-17 18:37 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 73653dc8


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker